bs_breadcrumb:
  label: Breadcrumb
  namespace: Molecules/Bootstrap
  use: '@molecules/tm-bs/bread/bread.twig'
  description: BS Breadcrumb.
  libraries:
    - bs_breadcrumb_lib:
        css:
          component:
            ../styles/bread.css: {weight: 10}

  fields:
    breadcrumb:
      type: object
      label: Items
      description: Menu item objects from Drupal
      preview:
        - text: "Home"
          url: "/here"
        - text: "Blog"
          url: "/here"
        - text: "Section"
          url: "/here"
        - text: "Title"
          url: null

  settings:
    utility_classes:
      type: textfield
      label: Utility classes
      description: Utility classes

    separator:
      type: select
      label: Separator
      description: Separator
      default_value: slash
      options:
        pipe: pipe
        slash: slash
        arrow: arrow
        raquo: raquo
        angle: angle
        chevron: chevron

    style:
      type: select
      label: Style
      options:
        underline: Underline
        background: Background
      default_value: underline
      preview: underline

    no_first_underline:
      type: boolean
      label: No first underline
      description: Do not underline the first item in the breadcrumbs (useful if it is an icon)
      default_value: false
      preview: false
